import * as React from 'react';
export interface HeadlineProps extends TailWindCSS {
    center?: boolean;
    children: any;
    /**
     * color of headline
     */
    color?: 'grey' | 'first' | 'second' | 'third' | 'fourth' | 'error' | 'success' | 'text' | 'white';
    className?: string;
    /**
     * headline size
     *
     */
    level?: '1' | '2' | '3' | '4' | '5' | '6';
    uppercase?: boolean;
    /**
     * style object
     *
     */
    style?: React.CSSProperties;
    size?: string;
}
export declare const Headline: React.FunctionComponent<HeadlineProps>;
